Skip to main content
PUT
/
sources
/
{name}
Update Source
curl --request PUT \
  --url https://api-prod.voltai.ai/source/api/sources/{name}/ \
  --header 'Content-Type: multipart/form-data' \
  --cookie sessionid= \
  --form 'display_name=<string>' \
  --form disabled=true \
  --form topic_uuids=3c90c3cc-0d44-4b50-8888-8dd25736052a
{
  "name": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "topics": [
    "<string>"
  ],
  "display_name": "<string>",
  "type": "CODE",
  "status": "WAITING_FOR_APPROVAL",
  "retrieval_disabled": true,
  "link": "<string>"
}

Authorizations

sessionid
string
cookie
required

Path Parameters

name
string
required
Pattern: ^[^/]+$

Query Parameters

organization_name
string
required

Organization name (required for multi-tenant API keys)

Body

Request schema for source partial updates.

display_name
string | null

Display name for the source

disabled
boolean | null

Whether the source is disabled

topic_uuids
string<uuid>[] | null

List of topic UUIDs to set for this source (replaces existing topics)

Response

200 - application/json

Serializer for the public API - excludes internal job/tagging fields.

name
string
required
Maximum string length: 256
updated_at
string<date-time>
required
topics
string[]
required
display_name
string | null
Maximum string length: 256
type
  • CODE - Code
  • TEXT - Text
  • WEBSITE - Website
  • JIRA - Jira
  • PART - Part
  • PINOUT - Pinout
  • HANDBOOK - Handbook
  • ARTICLE - Article
  • VIDEO - Video
  • CACHE - Cache
  • REPOSITORY - Repository
  • HTML - HTML
  • MARKDOWN - Markdown
  • CSV - CSV
Available options:
CODE,
TEXT,
WEBSITE,
JIRA,
PART,
PINOUT,
HANDBOOK,
ARTICLE,
VIDEO,
CACHE,
REPOSITORY,
HTML,
MARKDOWN,
CSV
status
enum<string>
  • WAITING_FOR_APPROVAL - Waiting for Approval
  • TRAINING - Training
  • ACTIVE - Active
  • REJECTED - Rejected
  • ERROR - Error
Available options:
WAITING_FOR_APPROVAL,
TRAINING,
ACTIVE,
REJECTED,
ERROR
retrieval_disabled
boolean
Maximum string length: 2048